Last modified: 2013-10-14 16:12:11 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 44297 - Add "Your e-mail address will not be published" to MediaWiki:Requestaccount-acc-text
Add "Your e-mail address will not be published" to MediaWiki:Requestaccount-a...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
ConfirmAccount (Other open bugs)
master
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: easy
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2013-01-24 02:49 UTC by Gregor Hagedorn
Modified: 2013-10-14 16:12 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Gregor Hagedorn 2013-01-24 02:49:35 UTC
The system message MediaWiki:Requestaccount-acc-text contains: "Your e-mail address will be sent a confirmation message once this request is submitted. Please respond by clicking on the confirmation link provided by the e-mail. Also, your password will be e-mailed to you when your account is created."

Enhancement request: add the information (we do it in bold), that the email is not being published, but remains confidential. This is not clear, and given that the distinction between published and confidential information is made elsewhere, may even wrongly be deduced. Thus the proposed message is:

Your e-mail address will be sent a confirmation message once this request is submitted. Please respond by clicking on the confirmation link provided by the e-mail. Also, your password will be e-mailed to you when your account is created. '''Your e-mail address will not be published!'''
Comment 1 Andre Klapper 2013-01-24 11:52:58 UTC
[Setting a descriptive summary; adding user-visible string tracking bug 38638]
Comment 2 Gerrit Notification Bot 2013-08-09 14:28:14 UTC
Change 78389 had a related patch set uploaded by Nemo bis:
Add "Your e-mail address will not be published" to MediaWiki:Requestaccount-acc-text

https://gerrit.wikimedia.org/r/78389
Comment 3 Gerrit Notification Bot 2013-08-12 17:40:35 UTC
Change 78389 merged by Aaron Schulz:
Add "Your e-mail address will not be published" to MediaWiki:Requestaccount-acc-text

https://gerrit.wikimedia.org/r/78389
Comment 4 This, that and the other (TTO) 2013-10-14 11:03:53 UTC
Seems done. Please close your bugs once the patch is merged :)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links